# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/file /usr/bin/glib-compile-resources /usr/bin/glib-gettextize pkgconfig(gio-unix-2.0) pkgconfig(libnm)
# END SourceDeps(oneline)
%define oldname networkmanager-libreswan
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.2.16
%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%{version}

%bcond_with gtk4

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/NetworkManager/.*\\.so

Summary:	NetworkManager VPN integration for LibreSWAN
Name:		NetworkManager-libreswan
Version:	1.2.16
Release:	alt1_2
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/NetworkManager-libreswan/%{url_ver}/NetworkManager-libreswan-%{version}.tar.xz
BuildRequires:	gettext gettext-tools
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	perl
BuildRequires:	pkgconfig(dbus-1)
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4) 
%else
BuildRequires:	pkgconfig(gtk+-3.0)
%endif
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	NetworkManager-daemon libnm-devel-doc
Requires:	shared-mime-info
Provides:	networkmanager-openswan = %{version}-%{release}
Obsoletes:	networkmanager-openswan <= 1.1.0
Source44: import.info

%description
This package contains software for integrating the LibreSWAN IPSec VPN software
with NetworkManager.

%prep
%setup -n %{oldname}-%{version} -qn NetworkManager-libreswan-%{version}


%build
NOCONFIGURE=yes gnome-autogen.sh
LDFLAGS=" -lgmodule-2.0"
%configure \
	--disable-static \
	--disable-silent-rules \
	--without-libnm-glib \
%if %with gtk4
	--with-gtk4 \
%else
	--without-gtk4 \
%endif
	--enable-more-warnings=yes
%make_build

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-libreswan

%files -f NetworkManager-libreswan.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_metainfodir}/network-manager-libreswan.metainfo.xml
%{_usr}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_mandir}/man5/nm-settings-libreswan.5*
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-libreswan-editor.so
%endif


%changelog
* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 1.2.16-alt1_2
- update by mgaimport

* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 1.2.14-alt1_1
- update

